<?php

require_once("broadmail.php");

$sws = BroadmailApiSoap::SessionWebservice();

$sessionId = $sws->login(12345, "username", "password");

$mws = BroadmailApiSoap::MailingWebservice();

$allRunningMailings = $mws->getIdsInStatus($sessionId, "event", "sending");

foreach ($allRunningMailings as $mailingId) {
    $name = $mws->getName($sessionId, $mailingId);
    $started = $mws->getSendingStartedDate($sessionId, $mailingId);
    fwrite(STDOUT, "Mailing: " . $name . " started at: " . $started . PHP_EOL);
}

$sws->logout($sessionId);